package cn.com.ctop.bytedance.mapper;

import java.util.List;

import cn.com.ctop.bytedance.entity.BytedanceReportMaterialRetry;
import org.apache.ibatis.annotations.Param;
import cn.com.ctop.bytedance.entity.BytedanceReportMaterialDaily;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * 素材报表
 * @author: jeecg-boot
 * @date:   2020-04-16
 * @cersion: V1.0
 */
public interface BytedanceReportMaterialDailyMapper extends BaseMapper<BytedanceReportMaterialDaily> {

    void replaceIntoBatch(@Param("infos") List<BytedanceReportMaterialDaily> infos);

    void replaceMaterialRetry(@Param("retry")BytedanceReportMaterialRetry retry);

    List<BytedanceReportMaterialRetry> getRetryList();

    void updateRetry(@Param("retry")BytedanceReportMaterialRetry retry);
}
