package cn.com.ctop.bytedance.service;

import cn.com.ctop.bytedance.vo.ByteDanceAdvertiserReportDTO;
import cn.com.ctop.common.module.entity.CtopOauthToken;
import com.alibaba.fastjson.JSONObject;

import java.util.Date;
import java.util.Map;

public interface IReportService {
    Map<String, Object> getAdvertiserReport(ByteDanceAdvertiserReportDTO conditions);

    void getAdvertiserCampaignReport(CtopOauthToken token, Date startDate, Date endDate, String bytedanceReportTypePl);

    Map<String, Object> getCampaignReport(ByteDanceAdvertiserReportDTO conditions);

    Map<String, Object> getAgentReport(JSONObject conditions);

    void getAdvertiserReport(CtopOauthToken token, Date startDate, Date endDate, String bytedanceReportTypePl);

    void getCampaignReportByPage(CtopOauthToken token, Date startDate, Date endDate, String bytedanceReportTypePl, Integer pageNum);

    void getAdvertiserPlanReport(CtopOauthToken token, Date startDate, Date endDate, String bytedanceReportTypePL);

    void getAdvertiserCreativeReport(CtopOauthToken token, Date startDate, Date endDate, String bytedanceReportTypePL);

    void getMaterialReportByPage(CtopOauthToken token, String startDate, String endDate, Integer pageNum);

    void loadBytedanceHistoryData(CtopOauthToken token);
}
