package org.jeecg.modules.ctop.controller;

import cn.com.ctop.common.module.utils.ResultMapUtils;
import cn.com.ctop.common.module.utils.StatusCode;
import org.jeecg.modules.mq.Sender;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;
import java.util.Map;

/**
 * @author jeecg-boot
 * 2019年12月5日19:57:58
 */
@RestController
@RequestMapping("mq")
public class TestMqController {
    @Autowired
    private Sender sender;


    @GetMapping("hello")
    public Map<String, Object> sayHello() {
        Map<String, Object> result = new HashMap<>();
        sender.send();
        ResultMapUtils.setResultMap(result, StatusCode.COMMON_SUCCESS.getCode());
        return result;
    }
}
