package cn.com.ctop.bytedance.service;

import cn.com.ctop.bytedance.entity.BytedanceReportMaterialRetry;
import cn.com.ctop.common.module.entity.CtopOauthToken;
import com.alibaba.fastjson.JSONObject;

import java.text.ParseException;
import java.util.List;

public interface IBytedanceReportService {
    JSONObject getAccountReport(String loginId);

    /**
     * 快手 大盘报表
     *
     * @param requestJson
     * @return
     */
    JSONObject getKuaiShouAccountReport(JSONObject requestJson);


    /**
     * 获取明细
     *
     * @param
     * @return
     */
    List<JSONObject> getKuaiShouAccounDetailtReport(JSONObject requestJson);


    /**
     * 明细列表
     *
     * @param requestJson
     * @return
     */
    List<JSONObject> getReportList(JSONObject requestJson);

    void bytedanceAsyncTaskCreate(String startDate, String endDate, CtopOauthToken token, Integer type) throws ParseException;

    void bytedanceAsyncTaskGet();

    void bytedanceMaterialReport(CtopOauthToken token, String startDate, String endDate);

    void bytedanceMaterialReportRetry(CtopOauthToken token, String startDate, String endDate);

    List<BytedanceReportMaterialRetry> getRetryList();
}
